org.eclipse.cdt.core.settings.model.extension

## Class CDataObject

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject

All Implemented Interfaces:
  ICSettingBase

Direct Known Subclasses:
  CBuildData, CConfigurationData, CLanguageData, CResourceData, CTargetPlatformData

    public abstract class CDataObject
    extends Object
    implements ICSettingBase

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract String` `getId()`
`abstract String` `getName()`
`abstract int` `getType()`
`abstract boolean` `isValid()`
`String` `toString()` Intended for debugging purpose only.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getId

    public abstract String getId()

#### getName

    public abstract String getName()

#### isValid

    public abstract boolean isValid()

#### getType

    public abstract int getType()

#### toString

    public String toString()

Intended for debugging purpose only.

Overrides:
  `toString` in class `Object`